Table of Contents

Class: Entity | Twisted-0.19.0/twisted/python/roots.py
--- | ---
### I am a terminal object in a hierarchy, with no children. I represent a null interface; certain non-instance objects (strings and integers, notably) are Entities. Methods on this class are suggested to be implemented, but are not required, and will be emulated on a per-protocol basis for types which do not handle them.
Methods |
--- | ---
render
| render
    render ( self,  request )
I produce a stream of bytes for the request, by calling request.write() and request.finish().
Exceptions |
--- | ---
NotImplementedError("%s.render" % str( self.__class__ ) )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0